/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
// Node module: apiconnect-cli-policies


var g = require('strong-globalize')();
var logger = require('apiconnect-cli-logger');

function formatter() {}

formatter.prototype.listFormatter = function(spaces) {
  spaces.forEach(function(space) {
    logger.writeln(space.spaceConfigUrl);
  });
};

formatter.prototype.getFormatter = function(space, options) {
  logger.writeln(g.f('name: %s', space.name));
  logger.writeln(g.f('display name: %s', space.title));
  logger.writeln(g.f('catalog: %s', options.catalog));
  logger.writeln(g.f('organization: %s', options.organization));
};

formatter.prototype.createFormatter = function(space, options) {
  logger.writeln(g.f('Created %s:%s:%s', options.organization, options.catalog, space.name));
};

formatter.prototype.deleteFormatter = function(options) {
  logger.writeln(g.f('Deleted %s:%s:%s', options.organization, options.catalog, options.space));
};

formatter.prototype.setFormatter = function(space, options) {
  logger.writeln(g.f('Updated space %s in catalog %s in %s organization',
    space.name, options.catalog, options.organization));
};

module.exports = formatter;

