#!/usr/bin/env node
/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
// Node module: apiconnect-cli-policies


var Formatter = require('./formatter');
var spaces = require('apiconnect-apim-client').spaces;

module.exports.spacesList = spacesList;
function spacesList(options) {
  var fmt = new Formatter();
  return spaces.list(options).then(function(results) {
    fmt.listFormatter(results);
  });
};

module.exports.spacesGet = spacesGet;
function spacesGet(name, options) {
  var fmt = new Formatter();
  options.space = name;
  return spaces.get(options).then(function(result) {
    fmt.getFormatter(result, options);
  });
}

module.exports.spacesCreate = spacesCreate;
function spacesCreate(displayName, options) {
  var fmt = new Formatter();
  options.displayName = displayName;
  return spaces.create(options).then(function(result) {
    fmt.createFormatter(result, options);
  });
}

module.exports.spacesDelete = spacesDelete;
function spacesDelete(name, options) {
  var fmt = new Formatter();
  options.space = name;
  return spaces.del(options).then(function() {
    fmt.deleteFormatter(options);
  });
}

module.exports.spacesSet = spacesSet;
function spacesSet(name, options) {
  var fmt = new Formatter();
  options.space = name;
  return spaces.set(options).then(function(result) {
    fmt.setFormatter(result, options);
  });
}

